Create PayFast setup identifier
curl --request POST \
--url https://api.marzipan.co/v1/account/payments/payfast/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"subscriptionId": "c3d4e5f6-7890-a1b2-c3d4-e5f607182930"
}
'import requests
url = "https://api.marzipan.co/v1/account/payments/payfast/setup"
payload = { "subscriptionId": "c3d4e5f6-7890-a1b2-c3d4-e5f607182930" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subscriptionId: 'c3d4e5f6-7890-a1b2-c3d4-e5f607182930'})
};
fetch('https://api.marzipan.co/v1/account/payments/payfast/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifier": "b1234567-89ab-cdef-0123-456789abcdef",
"engineUrl": "https://sandbox.payfast.co.za/onsite/engine.js"
}{
"message": "Unauthenticated."
}{
"error": "Subscription not found"
}Account
Create PayFast setup identifier
Generate a PayFast tokenization identifier so the authenticated customer can save a payment method, optionally linked to a subscription.
POST
/
account
/
payments
/
payfast
/
setup
Create PayFast setup identifier
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is the account token returned from the Login endpoint.
Body
application/json
Optional subscription to link the new payment method to
⌘I

